Bug 1573481 - Alert dashboard are not updated when more than one clusters are managed by tendrl
Summary: Alert dashboard are not updated when more than one clusters are managed by te...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-05-01 13:15 UTC by gowtham
Modified: 2018-09-04 07:06 UTC (History)
7 users (show)

Fixed In Version: tendrl-ui-1.6.3-2.el7rhgs tendrl-ansible-1.6.3-4.el7rhgs tendrl-notifier-1.6.3-3.el7rhgs tendrl-commons-1.6.3-5.el7rhgs tendrl-api-1.6.3-3.el7rhgs tendrl-monitoring-integration-1.6.3-3.el7rhgs tendrl-node-agent-1.6.3-5.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:05:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl monitoring-integration pull 439 0 None None None 2018-05-04 12:36:19 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:06:47 UTC

Description gowtham 2018-05-01 13:15:14 UTC
Description of problem:

When more than one clusters are managed by tendrl then alert dashboards are not updated with new panels. It should create an alert panel for newly managed clusters.

Version-Release number of selected component (if applicable):


How reproducible:
Import more than one cluster and sign in grafana with credentials. Switch grafana dashboard organization to AlertDashbaord organization. Then you can see dashboards are not updated with all cluster details.

Steps to Reproduce:
1. Import more than one cluster using tendrl
2. sign in with grafana credentials
3. switch dashbaord organization in grafana to AlertDashbaord organization
4. View alert dashboards one by one 

Actual results:
Alert panels are created  for only one cluster

Expected results:
Alert dashbaord should have alert panels for all managed cluster

Additional info:

Comment 6 Filip Balák 2018-05-29 11:14:57 UTC
Looks ok. --> VERIFIED

Tested with:
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-3.el7rhgs.noarch
tendrl-ansible-1.6.3-4.el7rhgs.noarch
tendrl-commons-1.6.3-5.el7rhgs.noarch
tendrl-node-agent-1.6.3-5.el7rhgs.noarch
tendrl-ui-1.6.3-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-notifier-1.6.3-3.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-3.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch

Comment 8 errata-xmlrpc 2018-09-04 07:05:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.